<?php
//Muestra la imagen de perfil del usuario identificado
$user = $_GET["user"];
function listImages() {
   $ext = array("jpg", "png", "jpeg", "gif");
   $files = array();
   
   $user = mysql_escape_string($_GET["user"]);
   //Accedemos al directorio del usuario
   if($handle = opendir("C:/xampp/htdocs/tfg/uploads/".$user)) {
       while(false !== ($file = readdir($handle)))
           for($i=0;$i<sizeof($ext);$i++)
               if(strstr($file, ".".$ext[$i]))
                   $files[] = $file;

       closedir($handle);
   }
   return($files);
}


echo '
<html>
<head>
<title>'.$_SERVER['REQUEST_URI'].'</title>
</head>
<body>';

//Generamos una lista de ficheros del directorio
$lista = listImages (getcwd());
//Si no tiene foto de perfil, se muestra una por defecto ubicada en la aplicacion
if(count($lista)==0){
  echo '<img src="img/imgpiso.bmp" WIDTH=50% HEIGHT=40% ></br>';

}else{
  echo '<img src="'. 'http://kl0d.no-ip.biz/tfg/uploads/'.$user.'/'.$lista[0].'" WIDTH=50% HEIGHT=40% ></br>';

}

echo '</body>
</html>';

?>